Bug 1304031 - [RFE] Centralized logging at deployment time to an HA syslog server
[RFE] Centralized logging at deployment time to an HA syslog server
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
8.0 (Liberty)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Hugh Brock
Shai Revivo
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-02 12:27 EST by Freddy Wissing
Modified: 2017-07-17 11:32 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-17 11:32:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Freddy Wissing 2016-02-02 12:27:02 EST
Customer presently uses a single logging server that centralizes logs in their Spinal Stack driven deployment.  The control plane is split, and they operate this under support exception.  A separate RFE exists to formalize the split.

Optimally, logging would need to be HA along with the rest of the deployment.  There is a separate RFE looking to formalize the split control plane that the customer uses.  This would dovetail with that, and allow logging to be treated as another discrete service.


=====

With the split of the control plane we realized that the logging was not actually done in HA with the other components.  It has a VIP but it isn't really under pacemaker control as other services are.  It would be a further point of resilience to have this highly available as well as a central logging option.  I cannot recall off the top of my head what all the OSP Ops tools are supposed to include, but this would be a nice feature to have out of the box.
Comment 2 Mike Burns 2016-04-07 17:07:13 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.
Comment 4 Red Hat Bugzilla Rules Engine 2017-06-03 22:49:54 EDT
This bugzilla has been removed from the release and needs to be reviewed and Triaged for another Target Release.
Comment 5 Lars Kellogg-Stedman 2017-07-17 11:32:01 EDT
We support delivery of logs to a centralized server in OSP11+.

Note You need to log in before you can comment on or make changes to this bug.